/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.hurrytimer-timer *,
.hurrytimer-timer{
	font-family: 'DINPro' !important;
}

.sub-menu li{
	padding-bottom: 1.375rem;
}

.kode-mono{
	font-family: Kode Mono;
}

.gb-menu-container--toggled .gb-menu li:first-child a, .site-footer .gb-menu li:first-child a{
	color: #757575;
	font-family: Inria Sans, sans-serif;
	text-transform: none;
}

.site-footer .gb-menu li:first-child a:hover{
	color: #00c8de;
}

.gb-menu-link {
	width: fit-content;
}

@media screen and (max-width: 767px) {
	.gb-menu-container--toggled .gb-menu li a{
		display: unset;
	}
}

.gb-menu-toggle .gb-menu-close-icon svg{
	width: 1.2rem;
	height: 1.2rem;
}

.gb-menu-item .gb-menu-link span svg{
	transition: all 0.2s ease-in-out;
}

.gb-menu-item:hover .gb-menu-link span svg{
	transform: rotate(180deg);
}

.site-footer .menu-item a, .gb-menu-link{
	position: relative;
	display: inline-block;
	text-decoration: none;
}

.site-footer .menu-item a::after, .gb-menu-link::after {
	content: "";
	position: absolute;
	left: 0;
	bottom: -2px;
	width: 100%;
	height: 1px;
	background-color: currentColor;
	transform: scaleX(0);
	transform-origin: right;
	transition: transform 0.3s ease;
}

.site-footer .menu-item a:hover::after, .gb-menu-link:hover::after {
	transform: scaleX(1);
	transform-origin: left;
}

.site-footer .custom-logo-link img{
	width: 12.5rem;
	height: 2.25rem;
}

.error404 .inside-article{
	display: none;
}

.topography-pattern{
	position: relative;
	background: linear-gradient(
			to bottom,
			rgba(0,0,0,1) 0%,
			rgba(24,24,24,1) 35%,
			rgba(0,0,0,0.2) 100%
	);
}

.topography-pattern:after{
	position: absolute;
	content: "";
	top: 0;
	left: 0;
	background: url("/wp-content/uploads/2026/04/topography-pattern-scaled.png") center/cover no-repeat;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	opacity: 0.2;
	width: 100%;
	height: 100%;
}

.hide{
	display: none !important;
}

.queryallpost{
	display: none;
}

.queryallpost.active{
	display: unset;
}

.dynamic-entry-content{
	color: #DBDBDB;
}

.dynamic-entry-content :is(h1, h2, h3, h4, h5, h6) {
	text-transform: uppercase;
	font-size: 1.25rem;
}
.dynamic-entry-content h2 {
	margin-top: 2rem;
}

.span-reading-time{
	line-height: 1;
}

/*.querypost nav{*/
/*	display: none;*/
/*}*/

.page-numbers{
	background-color: transparent !important;
	color: #fff !important;
	border: 1px solid #4D4D4D !important;
	border-radius: 0.625rem !important;
	font-weight: 700;
	width: 3.125rem;
	height: 3.5rem;
	display: flex;
	align-items: center;
	justify-content: center;
}

.page-numbers:hover{
	border: 1px solid #00c8de !important;
}

.page-numbers.current{
	color: #101010 !important;
	background-color: #00c8de !important;
	border: 1px solid #00c8de !important;
}

.gb-query-loop-pagination a.gb-text {
	font-size: 0;
	position: relative;
	padding: 1rem;
	background: transparent;
	border: none;
}

.gb-query-loop-pagination nav{
	column-gap: 0.5rem;
	row-gap: 0.5rem;
}

.gb-query-loop-pagination:has(> a:first-child) > a:first-child::before {
	transform: rotate(180deg);
}

.gb-query-loop-pagination a.gb-text::before {
	content: "";
	display: inline-block;
	width: 0.87rem;
	height: 1.625rem;

	background-color: #00c8de;

	-webkit-mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;
	mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;
}



.our-values-pattern--bottom{
	background-position: 50% 95% !important;
}

@media screen and (min-width: 767px) {
	.cta .wp-block-button{
		display: flex !important;
		justify-content: center;
	}
	.cta .wp-block-button__link{
		width: auto !important;
		display: inline-flex !important;
	}
}

.no-target.menu-item>a{
	pointer-events: none;
}

.time-read{
	margin: 0;
	font-size: 0.75rem;
}

.card-pattern{
	background-size: 250% !important;
}

@media screen and (max-width: 1024px) {
	.gb-query-loop-pagination>a{
		display: none !important;
	}
}

@media (max-width: 767px) {
	.gb-query-loop-pagination nav {
		display: flex;
		gap: 0.5rem;
		flex-wrap: nowrap;
	}

	.gb-query-loop-pagination nav .is-mobile-hidden {
		display: none !important;
	}
}

.bottom-black-bg{
	position: relative;
}

.bottom-black-bg:before{
	position: absolute;
	width: 100%;
	height: 100%;
	content: "";
	background-image: linear-gradient(0deg, #111111 0%, rgba(10, 10, 10, 0) 10%);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	bottom: 0;
	left: 0;
	z-index: 11;
}

/*@media screen and (max-width: 767px) {*/
/*.gb-query-loop-pagination {*/
/*	position: relative;*/
/*	display: flex;*/
/*	justify-content: center;*/
/*	align-items: center;*/
/*}*/

/*.gb-query-loop-pagination nav {*/
/*	display: flex;*/
/*	gap: 10px;*/
/*}*/

/*.gb-query-loop-pagination > a {*/
/*	position: absolute !important;*/
/*	top: 50%;*/
/*	transform: translateY(-50%);*/
/*}*/

/*.gb-query-loop-pagination .is-prev {*/
/*	left: 0;*/
/*}*/

/*.gb-query-loop-pagination .is-next {*/
/*	right: 0;*/
/*}*/
/*}*/

/*.gb-query-loop-pagination::before {*/
/*	content: "";*/
/*	position: absolute;*/
/*	left: 0;*/
/*	top: 50%;*/
/*	transform: translateY(-50%) rotate(180deg);*/

/*	width: 0.87rem;*/
/*	height: 1.625rem;*/

/*	background-color: #00c8de;*/

/*	-webkit-mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;*/
/*	mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;*/

/*	opacity: 0.3;*/
/*	pointer-events: none;*/
/*}*/

/*.gb-query-loop-pagination::after {*/
/*	content: "";*/
/*	position: absolute;*/
/*	right: 0;*/
/*	top: 50%;*/
/*	transform: translateY(-50%);*/

/*	width: 0.87rem;*/
/*	height: 1.625rem;*/

/*	background-color: #00c8de;*/

/*	-webkit-mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;*/
/*	mask: url('/wp-content/uploads/2026/04/Footnotes.svg') center / contain no-repeat;*/

/*	opacity: 0.3;*/
/*	pointer-events: none;*/
/*}*/

/*.gb-query-loop-pagination:has(.is-prev)::before {*/
/*	display: none;*/
/*}*/

/*.gb-query-loop-pagination:has(.is-next)::after {*/
/*	display: none;*/
/*}*/